Bug 205567 - x86_64 smp issues revisited 2
x86_64 smp issues revisited 2
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-07 05:08 EDT by wolfgang pichler
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-26 10:16:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg cases 1) 2) (65.36 KB, text/plain)
2006-09-07 05:08 EDT, wolfgang pichler
no flags Details
sorry did not separate the 2 dmesgs : same again : cases 1) 2) (65.70 KB, text/plain)
2006-09-07 05:16 EDT, wolfgang pichler
no flags Details

  None (edit)
Description wolfgang pichler 2006-09-07 05:08:31 EDT
Description of problem:

(related to bug 205147 regarding lost ticks and losing of interrupts)
(the kernel parameters are to further investigate lost ticks on a8n sli prem)

1) booting 2.6.17-1.2174_FC5 /w
report_lost_ticks=1 nmi_watchdog=2 acpi=off noapic nolapic enable_8254_timer
early_printk

a) defeats aix7xxx
b) defeats sata_promise
c) yields "irq 3: nobody cared"

2) booting 2.6.17-1.2174_FC5 /w
report_lost_ticks=1 nmi_watchdog=2

a) has "just lost ticks" but as opposed to a8v se deluxe just in __do_softirq
 
How reproducible:

always

Steps to Reproduce:
1. a8n sli premium mobo
2. boot kern /w params
  
Actual results:

messed x86_64 kernel behaviour

Expected results:

a stable and running system

Additional info:
Comment 1 wolfgang pichler 2006-09-07 05:08:32 EDT
Created attachment 135735 [details]
dmesg cases 1) 2)
Comment 2 wolfgang pichler 2006-09-07 05:16:36 EDT
Created attachment 135736 [details]
sorry did not separate the 2 dmesgs : same again : cases 1) 2)
Comment 3 Dave Jones 2006-10-16 14:00:22 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 wolfgang pichler 2006-10-17 08:29:55 EDT
ok, will now switch to 2.6.18-1.2200.

2.6.18-1.2189 results : no change :
- use of serial console yields unbootable so no detailed anylyzing was possible
Comment 5 wolfgang pichler 2007-03-26 05:15:01 EDT
please close bug - systems updated to fc6 - no use to follow here
new announcments for revisited timer code in 2.6.20

Note You need to log in before you can comment on or make changes to this bug.